Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_info

declared in "vorbis/vorbisfile.h";

Returns the vorbis_info struct for the specified bitstream. For nonseekable files, always returns the current vorbis_info struct.

    vorbis_info *ov_info(OggVorbis_File *vf,int link);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
i
  Link to the desired logical bitstream. For nonseekable files, this argument is ignored. To retrieve the vorbis_info struct for the current bitstream, this parameter should be set to -1.

### Return Values

> - Returns the vorbis_info struct for the specified bitstream. Returns vorbis_info for current bitstream if the file is nonseekable or i=-1.
> - NULL if the specified bitstream does not exist or the file has been initialized improperly.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101